ZPOOL-REPLACE(8)

NAME
zpool-replace - Replace one device with another in a ZFS storage pool

SYNOPSIS
zpool replace [-fw] [-o property=value] pool device [new_device]

DESCRIPTION

    zpool replace [-fw] [-o property=value] pool device [new_device] Replaces old_device with new_device. This is equivalent to attaching new_device, waiting for it to resilver, and then detaching old_device.

    The size of new_device must be greater than or equal to the minimum size of all the devices in a mirror or raidz configuration.

    new_device is required if the pool is not redundant. If new_device is not specified, it defaults to old_device. This form of replacement is useful after an existing disk has failed and has been physically replaced. In this case, the new disk may have the same /dev path as the old device, even though it is actually a different disk. ZFS recognizes this.

    -f  Forces use of new_device, even if it appears to be in use. Not all devices can be overridden in this manner.

    -o property=value
        Sets the given pool properties. See the zpoolprops manual page for a list of valid properties that can be set. The only property supported at the moment is ashift.

    -w  Waits until the replacement has completed before returning.

SEE ALSO
zpool-detach(8), zpool-initialize(8), zpool-online(8), zpool-resilver(8)